Subject: bug#17489: 24.3; Major mode spec in .dir-locals.el breaks dired

From: Sergio Pokrovskij <[email-masked]>
Date: Thu, 15 May 2014 07:39:42 +0700

>>>>> "Eli" == Eli Zaretskii wrote:

  >> From: Sergio Pokrovskij <[email-masked]>
...
  >> ,----
  >> | Whenever Emacs visits any file IN THAT DIRECTORY or any of its
  >> | subdirectories, it will apply the directory-local variables
  >> | specified in `.dir-locals.el', AS THOUGH THEY HAD BEEN DEFINED AS
  >> | FILE-LOCAL VARIABLES for that file ...
  >> `----

  Eli> Are you saying that "." is not a file?

I applied dired to "tmp/tst", not to "tmp/tst/."

I expect that when I open a file linked from an encompassing
directory to "/tmp/tst/foo", the "/tmp/tst/.dir-locals.el" does
not affect the buffer.

-- 
Sergio